Debian Bug report logs - #241766
segfault

version graph

Package: grep-dctrl; Maintainer for grep-dctrl is (unknown);

Reported by: Joey Hess <joeyh@debian.org>

Date: Fri, 2 Apr 2004 23:18:18 UTC

Severity: normal

Found in version 2.1.3

Fixed in version grep-dctrl/2.1.4

Done: Antti-Juhani Kaijanaho <ajk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Antti-Juhani Kaijanaho <ajk@debian.org>:
Bug#241766; Package grep-dctrl. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Antti-Juhani Kaijanaho <ajk@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfault
Date: Fri, 2 Apr 2004 15:36:22 -0500
[Message part 1 (text/plain, inline)]
Package: grep-dctrl
Version: 2.1.3
Severity: normal

joey:~/src/d-i/installer/build>grep-dctrl -FPriority \( required -or
standard -or important \) -sPackage,Priority
apt.udeb/state/lists/http.us.debian.org_debian_dists_unstable_main_debian-installer_binary-i386_Packages
zsh: segmentation fault  grep-dctrl -FPriority \( required -or standard
-or important \)  

I'm attaching the Packages file to this bug report.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.4.25
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages grep-dctrl depends on:
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an

-- no debconf information

-- 
see shy jo
[http.us.debian.org_debian_dists_unstable_main_debian-installer_binary-i386_Packages (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#241766; Package grep-dctrl. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 241766@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: Joey Hess <joeyh@debian.org>, 241766@bugs.debian.org
Subject: Re: Bug#241766: segfault
Date: Sat, 3 Apr 2004 08:34:51 +0300
[Message part 1 (text/plain, inline)]
On 20040402T153622-0500, Joey Hess wrote:
> joey:~/src/d-i/installer/build>grep-dctrl -FPriority \( required -or
> standard -or important \) -sPackage,Priority
> apt.udeb/state/lists/http.us.debian.org_debian_dists_unstable_main_debian-installer_binary-i386_Packages
> zsh: segmentation fault  grep-dctrl -FPriority \( required -or standard
> -or important \)  

Okay, this is a yet another case of the fragile parser breaking due to
incorrect input.  If the parser were more robust, you'd get an error
message: I never considered someone might want to specify atom modifiers
for a whole compound predicate like that.  Your command line currently
specifies the following predicate:

  (search in priority for an unspecified pattern)
   AN UNSPECIFIED CONNECTIVE
     (search for "required" in the whole paragraph)
      OR
     (search for "standard" in the whole paragraph)
      OR
     (search for "important" in the whole paragraph)

I imagine you meant

   (search for "required" in priority)
    OR
   (search for "standard" in priority)
    OR
   (search for "important" in priority)

You get this by saying
  grep-dctrl -FPriority required -or -FPriority standard -or -FPriority
  important -sPackage,Priority

It seems that my "does the predicate make sense" code does not detect
this anomalous predicate.  I'll fix that ASAP.  The parser needs a
rewrite as well, but that takes more time.

> I'm attaching the Packages file to this bug report.

It has nothing to do with the Package file, but thanks :)

-- 
Antti-Juhani Kaijanaho, Debian developer 

http://kaijanaho.info/antti-juhani/blog/en/debian
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#241766; Package grep-dctrl. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 241766@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: Joey Hess <joeyh@debian.org>, 241766@bugs.debian.org
Subject: Re: Bug#241766: segfault
Date: Sat, 19 Jun 2004 16:56:31 +0300
[Message part 1 (text/plain, inline)]
On 20040402T153622-0500, Joey Hess wrote:
> joey:~/src/d-i/installer/build>grep-dctrl -FPriority \( required -or
> standard -or important \) -sPackage,Priority
> apt.udeb/state/lists/http.us.debian.org_debian_dists_unstable_main_debian-installer_binary-i386_Packages
> zsh: segmentation fault  grep-dctrl -FPriority \( required -or standard
> -or important \)  

I totally forgot about this bug.  Sorry about that.  An upload is under
preparation, the fix is a oneliner.

-- 
Antti-Juhani Kaijanaho, Debian developer 

http://kaijanaho.info/antti-juhani/blog/en/debian
[signature.asc (application/pgp-signature, inline)]

Reply sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 241766-close@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: 241766-close@bugs.debian.org
Subject: Bug#241766: fixed in grep-dctrl 2.1.4
Date: Sat, 19 Jun 2004 10:32:04 -0400
Source: grep-dctrl
Source-Version: 2.1.4

We believe that the bug you reported is fixed in the latest version of
grep-dctrl, which is due to be installed in the Debian FTP archive:

grep-dctrl_2.1.4.dsc
  to pool/main/g/grep-dctrl/grep-dctrl_2.1.4.dsc
grep-dctrl_2.1.4.tar.gz
  to pool/main/g/grep-dctrl/grep-dctrl_2.1.4.tar.gz
grep-dctrl_2.1.4_i386.deb
  to pool/main/g/grep-dctrl/grep-dctrl_2.1.4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 241766@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antti-Juhani Kaijanaho <ajk@debian.org> (supplier of updated grep-dctrl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 19 Jun 2004 16:49:24 +0300
Source: grep-dctrl
Binary: grep-dctrl
Architecture: source i386
Version: 2.1.4
Distribution: unstable
Urgency: low
Maintainer: Antti-Juhani Kaijanaho <ajk@debian.org>
Changed-By: Antti-Juhani Kaijanaho <ajk@debian.org>
Description: 
 grep-dctrl - Grep Debian package information
Closes: 241766
Changes: 
 grep-dctrl (2.1.4) unstable; urgency=low
 .
   * predicate.c (verify_atom): Check that the stack contains exactly
     one element (the result) after simulated execution.
     Closes: #241766 (segfault) [Reported by Joey Hess]
Files: 
 1d672b7632432b7d480fee6dcd37c6b4 504 utils optional grep-dctrl_2.1.4.dsc
 139704089c61f409d418ab590bb31176 50085 utils optional grep-dctrl_2.1.4.tar.gz
 6bb34ab05e27a9ce5d4b564e99902a79 35352 utils optional grep-dctrl_2.1.4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA1EyGHsI32VNFhOgRAuChAKCIhyK70rFezCXX7xf/3FFgvP9ngQCfX0Kz
6q56HkUN99q7rXN+94fjTJI=
=LChA
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:11:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.